/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoCortesia;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderTipoCortesia implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoCortesia tipoCortesia = (TipoCortesia) o;

        Listcell lc = new Listcell(tipoCortesia.getTipocortesiaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoCortesia.getDesctipo());
        lc.setParent(lstm);

        lc = new Listcell(tipoCortesia.getGrupoCortesia().getDescgrupo());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoCortesia);
    }
}
